package org.seasar.hibernate.dao;

import org.seasar.framework.beans.MethodNotFoundRuntimeException;

/**
 * @author kenichi_okazaki
 */
public interface HibernateDaoMetaData {
	
	public String BEAN_KEY = "BEAN";
	public String ARGS_KEY_SUFFIX = "_ARGS";
	public String HQL_KEY_SUFFIX = "_HQL";

	public Class getBeanClass();
	
	public boolean hasHibernateCommand(String methodName);

	public HibernateCommand getHibernateCommand(String methodName)
		throws MethodNotFoundRuntimeException;
}
